Index: doc/latex/classfnc__inherit__graph.eps
===================================================================
--- doc/latex/classfnc__inherit__graph.eps (revision 91)
+++ doc/latex/classfnc__inherit__graph.eps (revision 145)
@@ -1,5 +1,5 @@
-%!PS-Adobe-2.0
-%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
-%%For: (smidl) Vasek Smidl,,,
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Fri Aug  1 12:10:09 UTC 2008)
+%%For: (smidl) Vaclav Smidl,,,
 %%Title: G
 %%Pages: (atend)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 235 232
+%%PageBoundingBox: 36 36 244 240
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 199 196 boxprim clip newpath
+36 36 208 204 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 73 168 moveto
-73 187 lineto
-103 187 lineto
-103 168 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 73 168 moveto
-73 187 lineto
-103 187 lineto
-103 168 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-81.25 173.25 moveto 13.5 (fnc) alignedtext
+newpath 77 174 moveto
+77 195 lineto
+107 195 lineto
+107 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 77 174 moveto
+77 195 lineto
+107 195 lineto
+107 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+85 181.5 moveto 14 (fnc) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 0 113 48 131 ]
+[ /Rect [ 0 117 50 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classconstfn.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 112 moveto
-0 131 lineto
-48 131 lineto
-48 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 112 moveto
-0 131 lineto
-48 131 lineto
-48 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-7.875 117.25 moveto 32.25 (constfn) alignedtext
+newpath 0 116 moveto
+0 137 lineto
+51 137 lineto
+51 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 116 moveto
+0 137 lineto
+51 137 lineto
+51 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 123.5 moveto 35 (constfn) alignedtext
 grestore
 % Node1->Node2
@@ -236,23 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 69 161 moveto
-58 152 44 139 34 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 67.1694 164.049 moveto
-77 168 lineto
-71.779 158.781 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 67.1694 164.049 moveto
-77 168 lineto
-71.779 158.781 lineto
+newpath 71 167 moveto
+60 157 47 145 37 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 69.17 170.05 moveto
+79 174 lineto
+73.78 164.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 69.17 170.05 moveto
+79 174 lineto
+73.78 164.78 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 66 113 110 131 ]
+[ /Rect [ 68 117 116 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classdiffbifn.html) >>
@@ -260,20 +260,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 66 112 moveto
-66 131 lineto
-111 131 lineto
-111 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 66 112 moveto
-66 131 lineto
-111 131 lineto
-111 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-73.375 117.25 moveto 29.25 (diffbifn) alignedtext
+newpath 68 116 moveto
+68 137 lineto
+116 137 lineto
+116 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 68 116 moveto
+68 137 lineto
+116 137 lineto
+116 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+76 123.5 moveto 32 (diffbifn) alignedtext
 grestore
 % Node1->Node3
@@ -282,23 +282,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 88 158 moveto
-88 149 88 138 88 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 84.5001 158 moveto
-88 168 lineto
-91.5001 158 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 84.5001 158 moveto
-88 168 lineto
-91.5001 158 lineto
+newpath 92 164 moveto
+92 154 92 144 92 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 88.5 164 moveto
+92 174 lineto
+95.5 164 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 88.5 164 moveto
+92 174 lineto
+95.5 164 lineto
 closepath stroke
 grestore
 % Node8
 gsave
-[ /Rect [ 128 113 162 131 ]
+[ /Rect [ 134 117 170 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classlinfn.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 128 112 moveto
-128 131 lineto
-162 131 lineto
-162 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 128 112 moveto
-128 131 lineto
-162 131 lineto
-162 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-136 117.25 moveto 18 (linfn) alignedtext
+newpath 134 116 moveto
+134 137 lineto
+170 137 lineto
+170 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 134 116 moveto
+134 137 lineto
+170 137 lineto
+170 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+142 123.5 moveto 20 (linfn) alignedtext
 grestore
 % Node1->Node8
@@ -328,23 +328,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 105 161 moveto
-116 151 128 139 136 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 102.596 158.454 moveto
-98 168 lineto
-107.546 163.404 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 102.596 158.454 moveto
-98 168 lineto
-107.546 163.404 lineto
+newpath 111 167 moveto
+121 157 133 145 142 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 108.6 164.45 moveto
+104 174 lineto
+113.55 169.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 108.6 164.45 moveto
+104 174 lineto
+113.55 169.4 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 1 57 43 75 ]
+[ /Rect [ 2 59 46 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbilinfn.html) >>
@@ -352,20 +352,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 1 56 moveto
-1 75 lineto
-43 75 lineto
-43 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 1 56 moveto
-1 75 lineto
-43 75 lineto
-43 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-9.25 61.25 moveto 25.5 (bilinfn) alignedtext
+newpath 2 58 moveto
+2 79 lineto
+46 79 lineto
+46 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 2 58 moveto
+2 79 lineto
+46 79 lineto
+46 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+10 65.5 moveto 28 (bilinfn) alignedtext
 grestore
 % Node3->Node4
@@ -374,23 +374,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 68 105 moveto
-57 96 43 83 33 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 66.1694 108.049 moveto
-76 112 lineto
-70.779 102.781 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 66.1694 108.049 moveto
-76 112 lineto
-70.779 102.781 lineto
+newpath 71 109 moveto
+59 99 46 87 36 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 69.17 112.05 moveto
+79 116 lineto
+73.78 106.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 69.17 112.05 moveto
+79 116 lineto
+73.78 106.78 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 61 57 115 75 ]
+[ /Rect [ 64 59 120 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classIMpmsm.html) >>
@@ -398,20 +398,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 61 56 moveto
-61 75 lineto
-115 75 lineto
-115 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 61 56 moveto
-61 75 lineto
-115 75 lineto
-115 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-68.875 61.25 moveto 38.25 (IMpmsm) alignedtext
+newpath 64 58 moveto
+64 79 lineto
+121 79 lineto
+121 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 64 58 moveto
+64 79 lineto
+121 79 lineto
+121 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+71.5 65.5 moveto 41 (IMpmsm) alignedtext
 grestore
 % Node3->Node5
@@ -420,23 +420,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 88 102 moveto
-88 93 88 82 88 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 84.5001 102 moveto
-88 112 lineto
-91.5001 102 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 84.5001 102 moveto
-88 112 lineto
-91.5001 102 lineto
+newpath 92 106 moveto
+92 96 92 86 92 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 88.5 106 moveto
+92 116 lineto
+95.5 106 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 88.5 106 moveto
+92 116 lineto
+95.5 106 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 133 57 191 75 ]
+[ /Rect [ 138 59 200 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classOMpmsm.html) >>
@@ -444,20 +444,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 133 56 moveto
-133 75 lineto
-192 75 lineto
-192 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 133 56 moveto
-133 75 lineto
-192 75 lineto
-192 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-140.625 61.25 moveto 42.75 (OMpmsm) alignedtext
+newpath 138 58 moveto
+138 79 lineto
+201 79 lineto
+201 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 138 58 moveto
+138 79 lineto
+201 79 lineto
+201 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+145.5 65.5 moveto 47 (OMpmsm) alignedtext
 grestore
 % Node3->Node7
@@ -466,39 +466,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 109 106 moveto
-123 96 139 83 150 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 106.9 103.2 moveto
-101 112 lineto
-111.1 108.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 106.9 103.2 moveto
-101 112 lineto
-111.1 108.8 lineto
+newpath 115 110 moveto
+128 99 145 87 156 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 112.9 107.2 moveto
+107 116 lineto
+117.1 112.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 112.9 107.2 moveto
+107 116 lineto
+117.1 112.8 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-0.000 0.000 1.000 nodecolor
-newpath 52 0 moveto
-52 19 lineto
-124 19 lineto
-124 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.749 nodecolor
-newpath 52 0 moveto
-52 19 lineto
-124 19 lineto
-124 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-59.875 5.25 moveto 56.25 (IMpmsmStat) alignedtext
+[ /Rect [ 53 1 131 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classIMpmsmStat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 53 0 moveto
+53 21 lineto
+131 21 lineto
+131 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 53 0 moveto
+53 21 lineto
+131 21 lineto
+131 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+61 7.5 moveto 62 (IMpmsmStat) alignedtext
 grestore
 % Node5->Node6
@@ -507,18 +512,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 88 46 moveto
-88 37 88 26 88 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 84.5001 46 moveto
-88 56 lineto
-91.5001 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 84.5001 46 moveto
-88 56 lineto
-91.5001 46 lineto
+newpath 92 48 moveto
+92 38 92 28 92 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 88.5 48 moveto
+92 58 lineto
+95.5 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 88.5 48 moveto
+92 58 lineto
+95.5 48 lineto
 closepath stroke
 grestore
@@ -530,5 +535,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 235 232
+%%BoundingBox: 36 36 244 240
 end
 restore
